-- API参考：https://sumory.github.io/lor_site/api/034.html

return function(app)
    
    -- 绑定组路由
    --cookie测试
    local cookieRouter = require("app.routes.test.cookie")
    app:use("/test/cookie", cookieRouter())
    --http测试
    local httpRouter = require("app.routes.test.http")
    app:use("/test/http", httpRouter())
    --数据库测试
    local mysqlRouter = require("app.routes.test.mysql")
    app:use("/test/mysql", mysqlRouter())
    --session测试
    local sessionRouter = require("app.routes.test.session")
    app:use("/test/session", sessionRouter())
    --上传测试
    local uploadRouter = require("app.routes.test.upload")
    app:use("/test/upload", uploadRouter())
    --路由测试
    local testRouter = require("app.routes.test.index")
    app:use("/test", testRouter())
    
    -- 路由严格模式，默认为true, 请参见文档：https://sumory.github.io/lor_site/router/strict_route.106.html
    app:conf("strict_route", false)
    -- 是否忽略uri大小写，默认为true
    app:conf("ignore_case", false)
    
    -- 示例路由， 直接挂载到app使用：
    -- 输出文本
    app:get("/text", function(request, response, next)
        local testModel = require("app.models.test")
        response:send(testModel.test('Hello lua!'))
    end)
    
    -- 渲染HTML代码
    app:get("/html", function(request, response, next)
        response:html("<span>This is HTML</span>")
    end)
    
    -- 输出JSON
    app:get("/json", function(request, response, next)
        response:json({
            code = 200,
            msg = "succee",
            time = ngx.time()
        })
    end)
    
    -- 渲染HTML文件
    app:get("/", function(request, response, next)
        response:render("index")
    end)
    
    -- 更多response方法 参考：https://sumory.github.io/lor_site/api/034.html#res%E5%AF%B9%E8%B1%A1
    
end