local lor = require("lor.index")

local router = lor:Router()

-- 模拟cookie写入
router:get("/set", function(request, response, next)
    local key = request.query.key
    local value = request.query.value
    if key then
        request.cookie.set(key,value)
        response:send("cookie saved: " .. key .. "->" .. value)
    else
        response:send("null session key")
    end
end)

-- 模拟cookie读取
router:get("/get/:key", function(request, response, next)
    local key = request.params.key
    if not key then
        response:send("please input cookie key")
    else
        response:send("cookie is: " .. request.cookie.get(key))
    end
end)

return router