local lor = require("lor.index")
local cjson = require("cjson")

local router = lor:Router()

-- Router路由 参考：https://sumory.github.io/lor_site/api/034.html
-- GET请求
router:get("/query/:id", function(request, response, next)
    local headers = request.headers -- 请求头
    local path = request.path -- 请求path
    local params = request.params -- 解析url后的path variable，详见：https://sumory.github.io/lor_site/api/034.html#request%E5%AF%B9%E8%B1%A1
    response:send("method：GET\nparams：" .. cjson.encode(params) .. "\npath：" .. path .. "\nheaders：" .. cjson.encode(headers))
end)

-- POST请求
router:post(function(request, response, next)
    local body = request.body
    response:send("method：POST\nbody：" .. cjson.encode(body))
end)

-- DELETE请求
router:delete("/delete", function(request, response, next)
    local query = request.query -- 是指get的query string查询参数
    response:send("method：DELETE\nquery：" .. cjson.encode(query))
end)

-- 支持常见的各种HTTP请求方式， 包括但不限于get/post/put/patch/delete等。

return router