local lor = require("lor.index")

local router = lor:Router()

-- 在session里赋值
router:get("/set", function(request, response, next)
    local key = request.query.key
    local value = request.query.value
    if key then
        request.session.set(key,value)
        response:send("session saved: " .. key .. "->" .. value)
    else
        response:send("null session key")
    end
end)

-- 从session里取值
router:get("/get/:key", function(request, response, next)
    local key = request.params.key
    if not key then
        response:send("please input session key")
    else
        response:send("session data: " .. request.session.get(key))
    end
end)

-- 销毁session
router:get("/destroy", function(request, response, next)
    request.session.destroy()
end)

return router